//	HYPE.documents["hypedocument"]

(function HYPE_DocumentLoader() {
	var resourcesFolderName = "hypedocument_Resources";
	var documentName = "hypedocument";
	var documentLoaderFilename = "hypedocument_hype_generated_script.js";

	// find the URL for this script's absolute path and set as the resourceFolderName
	try {
		var scripts = document.getElementsByTagName('script');
		for(var i = 0; i < scripts.length; i++) {
			var scriptSrc = scripts[i].src;
			if(scriptSrc != null && scriptSrc.indexOf(documentLoaderFilename) != -1) {
				resourcesFolderName = scriptSrc.substr(0, scriptSrc.lastIndexOf("/"));
				break;
			}
		}
	} catch(err) {	}

	// load HYPE.js if it hasn't been loaded yet
	if(typeof HYPE == "undefined") {
		if(typeof window.HYPE_DocumentsToLoad == "undefined") {
			window.HYPE_DocumentsToLoad = new Array();
			window.HYPE_DocumentsToLoad.push(HYPE_DocumentLoader);

			var headElement = document.getElementsByTagName('head')[0];
			var scriptElement = document.createElement('script');
			scriptElement.type= 'text/javascript';
			scriptElement.src = resourcesFolderName + '/' + 'HYPE.js';
			headElement.appendChild(scriptElement);
		} else {
			window.HYPE_DocumentsToLoad.push(HYPE_DocumentLoader);
		}
		return;
	}
	
	var attributeTransformerMapping = {"BorderColorRight":"ColorValueTransformer","BackgroundColor":"ColorValueTransformer","BorderWidthBottom":"PixelValueTransformer","WordSpacing":"PixelValueTransformer","BoxShadowXOffset":"PixelValueTransformer","Opacity":"FractionalValueTransformer","BorderWidthRight":"PixelValueTransformer","BorderWidthTop":"PixelValueTransformer","BoxShadowColor":"ColorValueTransformer","BorderColorBottom":"ColorValueTransformer","FontSize":"PixelValueTransformer","BorderRadiusTopRight":"PixelValueTransformer","TextColor":"ColorValueTransformer","Rotate":"DegreeValueTransformer","Height":"PixelValueTransformer","PaddingLeft":"PixelValueTransformer","BorderColorTop":"ColorValueTransformer","Top":"PixelValueTransformer","BackgroundGradientStartColor":"ColorValueTransformer","TextShadowXOffset":"PixelValueTransformer","PaddingTop":"PixelValueTransformer","BackgroundGradientAngle":"DegreeValueTransformer","PaddingBottom":"PixelValueTransformer","PaddingRight":"PixelValueTransformer","Width":"PixelValueTransformer","TextShadowColor":"ColorValueTransformer","BorderColorLeft":"ColorValueTransformer","ReflectionOffset":"PixelValueTransformer","Left":"PixelValueTransformer","BorderRadiusBottomRight":"PixelValueTransformer","LineHeight":"PixelValueTransformer","BoxShadowYOffset":"PixelValueTransformer","ReflectionDepth":"FractionalValueTransformer","BorderRadiusTopLeft":"PixelValueTransformer","BorderRadiusBottomLeft":"PixelValueTransformer","TextShadowBlurRadius":"PixelValueTransformer","TextShadowYOffset":"PixelValueTransformer","BorderWidthLeft":"PixelValueTransformer","BackgroundGradientEndColor":"ColorValueTransformer","BoxShadowBlurRadius":"PixelValueTransformer","LetterSpacing":"PixelValueTransformer"};

var scenes = [{"timelines":{"kTimelineDefaultIdentifier":{"framesPerSecond":30,"animations":[{"startValue":"-162px","isRelative":true,"endValue":"95px","identifier":"Left","duration":2.0666666030883789,"timingFunction":"easeinout","type":0,"oid":"79648ADE-1A83-47EA-AF84-AC65FCDEE6FC-1414-000000CEA1E71A81","startTime":0},{"startValue":"-63px","isRelative":true,"endValue":"128px","identifier":"Top","duration":2.0666666030883789,"timingFunction":"easeinout","type":0,"oid":"79648ADE-1A83-47EA-AF84-AC65FCDEE6FC-1414-000000CEA1E71A81","startTime":0},{"startValue":"0.000000","isRelative":true,"endValue":"1.000000","identifier":"Opacity","duration":0.53333330154418945,"timingFunction":"easeinout","type":0,"oid":"FEAB89A4-9684-4A2E-BDC9-0E0658CD5B0D-1414-000000C8E6921602","startTime":1.5333333015441895},{"startValue":"27px","isRelative":true,"endValue":"65px","identifier":"Left","duration":0.53333330154418945,"timingFunction":"easeinout","type":0,"oid":"FEAB89A4-9684-4A2E-BDC9-0E0658CD5B0D-1414-000000C8E6921602","startTime":1.5333333015441895},{"startValue":"280px","isRelative":true,"endValue":"133px","identifier":"Top","duration":0.53333330154418945,"timingFunction":"easeinout","type":0,"oid":"FEAB89A4-9684-4A2E-BDC9-0E0658CD5B0D-1414-000000C8E6921602","startTime":1.5333333015441895},{"startValue":"18px","isRelative":true,"endValue":"18px","identifier":"Height","duration":0.53333330154418945,"timingFunction":"easeinout","type":0,"oid":"FEAB89A4-9684-4A2E-BDC9-0E0658CD5B0D-1414-000000C8E6921602","startTime":1.5333333015441895},{"startValue":"243px","isRelative":true,"endValue":"239px","identifier":"Width","duration":0.53333330154418945,"timingFunction":"easeinout","type":0,"oid":"FEAB89A4-9684-4A2E-BDC9-0E0658CD5B0D-1414-000000C8E6921602","startTime":1.5333333015441895},{"startValue":"#5F5F5F","isRelative":true,"endValue":"#5F5F5F","identifier":"TextColor","duration":0.53333330154418945,"timingFunction":"easeinout","type":0,"oid":"FEAB89A4-9684-4A2E-BDC9-0E0658CD5B0D-1414-000000C8E6921602","startTime":1.5333333015441895}],"identifier":"kTimelineDefaultIdentifier","name":"Main Timeline","duration":2.0666666030883789}},"id":"9655E91E-1062-4E43-B13A-EAF957E0A72F-1414-000000C8071779D1","sceneIndex":0,"perspective":"600px","oid":"9655E91E-1062-4E43-B13A-EAF957E0A72F-1414-000000C8071779D1","initialValues":{"79648ADE-1A83-47EA-AF84-AC65FCDEE6FC-1414-000000CEA1E71A81":{"Position":"absolute","BackgroundOrigin":"content-box","Left":"-162px","Display":"inline","BackgroundImage":"Pasted.png","Height":"196px","Overflow":"visible","BackgroundSize":"100% 100%","ZIndex":"1","Top":"-63px","Width":"196px","TagName":"div"},"FEAB89A4-9684-4A2E-BDC9-0E0658CD5B0D-1414-000000C8E6921602":{"PaddingTop":"8px","Position":"absolute","InnerHTML":"Hype + Freeway. Together at last.","TagName":"div","PaddingRight":"8px","Display":"inline","Left":"27px","Height":"18px","Overflow":"visible","Width":"243px","ZIndex":"2","FontSize":"16px","TextColor":"#5F5F5F","WordWrap":"break-word","WhiteSpaceCollapsing":"preserve","PaddingBottom":"8px","PaddingLeft":"8px","Top":"280px","Opacity":"0.000000"}},"name":"Untitled Scene","backgroundColor":"#FFFFFF"}];

var javascriptMapping = {};


	
	var Custom = (function() {
	return {
	};
}());

	
	var hypeDoc = new HYPE();
	
	hypeDoc.attributeTransformerMapping = attributeTransformerMapping;
	hypeDoc.scenes = scenes;
	hypeDoc.javascriptMapping = javascriptMapping;
	hypeDoc.Custom = Custom;
	hypeDoc.currentSceneIndex = 0;
	hypeDoc.mainContentContainerID = "hypedocument_hype_container";
	hypeDoc.resourcesFolderName = resourcesFolderName;
	hypeDoc.showHypeBuiltWatermark = 0;
	hypeDoc.showLoadingPage = false;
	hypeDoc.drawSceneBackgrounds = true;
	hypeDoc.documentName = documentName;

	HYPE.documents[documentName] = hypeDoc.API;

	hypeDoc.documentLoad(this.body);
}());

